<template>
  <div class="flex mb-5">
    <Button
      :on-click="onClick"
      class="rounded-l-lg py-2 px-4 w-full"
      :main="isSeeker"
      :class="$colorMode.value === 'dark' && !isSeeker ? 'secondary' : 'black'"
    >
      Minta Bantuan
    </Button>
    <Button
      :on-click="onClick"
      class="py-2 px-4 rounded-r-lg w-full"
      :green="!isSeeker"
      :class="$colorMode.value === 'dark' && isSeeker ? 'secondary' : 'black'"
      >Beri Bantuan</Button
    >
  </div>
</template>

<script>
export default {
  props: {
    isSeeker: {
      type: Boolean,
      default: false,
    },
    onClick: {
      type: Function,
      default: () => {},
    },
  },
};
</script>

<style lang="scss" scoped></style>
